Subject: Re: Term mode in Cocoa does not respect NS-ALTERNATE-MODIFIER

From: Scott Bell <[email-masked]>
Date: Wed, 20 Jan 2010 12:04:15 -0700

On 2010-01-20, at 10:18 AM, Chong Yidong wrote:

> I narrowed the problem down to this specific change:
> 
> 2009-12-04  Stefan Monnier  <[email-masked]>
> 
>   Minor cleanup.
>   * term.el (term-send-raw, term-send-raw-meta): Use read-key-sequence's
>   key decoding rather than do it manually via last-input-event +
>   ascii-character.
> 
> I'm not sure if the change to term-send-raw breaks anything, but the the
> change to term-send-raw-meta definitely prevents the process from
> getting M-d correctly.  I've reverted it in the repository for now
> (change attached), but you might want to double-check the entire change.

The latest repository seems to work for me with
this change, thanks!

- Scott